Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QGraphicsView.DragMode

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QGraphicsView.DragMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QGraphicsView

    public static final class QGraphicsView.DragMode

extends java.lang.Enum
implements QtEnumerator

This enum describes the default action for the view when pressing and dragging the mouse over the viewport.

See also:
  `dragMode`, and `QGraphicsScene::setSelectionArea()`.

See Also:
  Serialized Form

Field Summary
`static QGraphicsView.DragMode` | `NoDrag` Nothing happens; the mouse event is ignored.
`static QGraphicsView.DragMode` | `RubberBandDrag` A rubber band will appear.
`static QGraphicsView.DragMode` | `ScrollHandDrag` The cursor changes into a pointing hand, and dragging the mouse around will scroll the scrolbars.

Method Summary
`static QGraphicsView.DragMode` | `resolve(int value)` Returns the QGraphicsView$DragMode constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QGraphicsView.DragMode` | `valueOf(java.lang.String name)`
`static QGraphicsView.DragMode[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoDrag

    public static final QGraphicsView.DragMode NoDrag

  Nothing happens; the mouse event is ignored.

### ScrollHandDrag

    public static final QGraphicsView.DragMode ScrollHandDrag

  The cursor changes into a pointing hand, and dragging the mouse around will scroll the scrolbars. This mode works both in `interactive` and non-interactive mode.

### RubberBandDrag

    public static final QGraphicsView.DragMode RubberBandDrag

  A rubber band will appear. Dragging the mouse will set the rubber band geometry, and all items covered by the rubber band are selected. This mode is disabled for non-interactive views.

Method Detail

### values

    public static QGraphicsView.DragMode[] values()

### valueOf

    public static QGraphicsView.DragMode valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QGraphicsView.DragMode resolve(int value)

  Returns the QGraphicsView$DragMode constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD